package main
 
import (
	"fmt"
	"payease_transferSingle/gomod"
//	"log"
	"net/http"
)

func main() {
	fs := http.FileServer(http.Dir("src/payease_transferSingle/static"))
	http.Handle("/static/", http.StripPrefix("/static/", fs))
	http.HandleFunc("/", gomod.Index)
	
	http.HandleFunc("/balance", gomod.Balance)
	http.HandleFunc("/tsorder", gomod.TSOrder)
	http.HandleFunc("/tsnotify", gomod.TSNotify)
	http.HandleFunc("/tsquery", gomod.TSQuery)
	http.HandleFunc("/post", gomod.DataPost)
	
	err := http.ListenAndServe(":8082", nil)
	if err != nil {
		fmt.Println("ListenAndServe:", err)  
		//log.Fatal("ListenAndServe: ", err)
	}
}